#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# fail while DBD::mysql is present
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	DBI
Summary:	Apache::DBI - initiate a persistent database connection
Summary(pl.UTF-8):	Apache::DBI - inicjowanie trwałego połączenia z bazą
Name:		perl-Apache-DBI
Version:	1.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1bf6ca12b87de05bd53045325064636e
URL:		http://search.cpan.org/dist/Apache-DBI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache::DBI and Apache::AuthDBI modules are supposed to be used with
the Apache server together with an embedded perl interpreter like
mod_perl. They provide support for basic authentication and
authorization as well as support for persistent database connections
via Perl's Database Independent Interface (DBI).

%description -l pl.UTF-8
Moduły Apache::DBI i Apache::AuthDBI są przeznaczone do używania
łącznie z serwerem Apache z wbudowanym interpreterem Perla takim jak
mod_perl. Zapewniają obsługę podstawowego uwierzytelnienia i
autoryzacji, a także obsługę ciągłych połączeń z bazą danych poprzez
ogólny interfejs dostępu do baz danych Perla (DBI).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Apache-DBI.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fd2189
- up to 1.12

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cd6df37
- up to 1.11

* Mon Jul 11 2011 marti <marti@pld-linux.org> 86db235
- up to 1.10

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 9480d11
- updated to 1.07

* Tue Mar 27 2007 radek <radek@pld-linux.org> d15b1a4
- version 1.06 (sorta security)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fd1e830
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 77b0941
- converted to UTF-8

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> 6dffef8
- fix md5

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> a85e681
- 1.01, generic URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 49cf3ad
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 287f76e
- massive: unfold macros in name/summary & other unifications

* Thu May 06 2004 ankry <ankry@pld-linux.org> 2849a4b
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 67243e2
- tests added (but disabled)

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> fe73a73
- license fixes

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 8a0dd66
- caps and other cosmetics

* Fri Mar 05 2004 Marcin Winkler <qurczak@gmail.com> 4f3f4c3
- updated to 0.94

* Sat Jan 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> ca445b8
- fix md5

* Sat Jan 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> f71961f
- autoupdated to 0.93

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 9ec7eca
- spaces -> tab

* Wed Sep 03 2003 Adam Gołębiowski <adamg@pld-linux.org> 43214fa
- updated to 0.92

